org.omg.CosNaming.NamingContextPackage

## Class NotFound

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CosNaming.NamingContextPackage.NotFound

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class NotFound
    extends UserException

org/omg/CosNaming/NamingContextPackage/NotFound.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-8lk9ya/openjdk-8-8u492-ga~us2/src/corba/src/share/classes/org/omg/CosNaming/nameservice.idl Tuesday, April 28, 2026 11:02:50 PM UTC

### Field Summary

Fields
`NameComponent[]` `rest_of_name`
`NotFoundReason` `why`

### Constructor Summary

Constructors
Constructor and Description
`NotFound()`
`NotFound(NotFoundReason _why, NameComponent[] _rest_of_name)`
`NotFound(String $reason, NotFoundReason _why, NameComponent[] _rest_of_name)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### why

    public NotFoundReason why

#### rest_of_name

    public NameComponent[] rest_of_name

### Constructor Detail

#### NotFound

    public NotFound()

#### NotFound

    public NotFound(NotFoundReason _why,
                    NameComponent[] _rest_of_name)

#### NotFound

    public NotFound(String $reason,
                    NotFoundReason _why,
                    NameComponent[] _rest_of_name)